<template>
<nav class="in-primary panel">
    <span class="panel-tabs">
        <router-link :to="{name:'Today'}">Today's</router-link>
        <router-link :to="{name:'Weekly'}">Weekly</router-link>
        <router-link :to="{name:'Monthly'}">Monthly</router-link>
    </span>
</nav>
</template>

<script>
import {useStore} from 'vuex'
import {onMounted} from 'vue'
export default{
    name:'nytimes',
    setup() {
        const store = useStore();
        const fetch=()=>{
            store.dispatch('fetchData');
        }
        onMounted(()=>{
            fetch()
        })
        return{
            fetch
        }
    },
}
</script>

<style scoped>
nav{
    margin-left: 100px;
    margin-right: 100px;
}
a.active {
  color: black;
  font-weight: bold;
}
</style>